RIP_LOCATION = ../..

#You should not need to change anything below this line

include  $(RIP_LOCATION)/Makefile.site

default: all
	@echo Done!

RIPLIBS = -lrip

#COBJS := $(patsubst %.c,%.o,$(wildcard *.c))

CC=gcc

all: archive surf recreate cleanup backup

archive: archive.o dbsupport.o miniconf.o aconf.o
	$(CC) -o archive $^ $(LFLAGS) $(RIPLIBS) $(LIBS)

surf: surf.o dbsupport.o miniconf.o aconf.o
	$(CC) -o surf $^ $(LFLAGS) $(RIPLIBS) $(LIBS)

recreate: recreate.o dbsupport.o miniconf.o aconf.o
	$(CC) -o recreate $^ $(LFLAGS) $(RIPLIBS) $(LIBS)

cleanup: cleanup.o dbsupport.o miniconf.o aconf.o
	$(CC) -o cleanup $^ $(LFLAGS) $(RIPLIBS) $(LIBS)

backup: backup.o dbsupport.o miniconf.o aconf.o
	$(CC) -o backup $^ $(LFLAGS) $(RIPLIBS) $(LIBS)

%.o: %.c
	$(CC) -o $@ -c $(CFLAGS) $<

clean:
	-rm archive cleanup surf recreate backup *~ *.o
